package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkCouponTemplateTerminateRequest struct {
	/*
	   参数     */
	ParamCouponTemplateTerminateRequest *domain.AlibabaWdkCouponTemplateTerminateCouponTemplateTerminateRequest `json:"param_coupon_template_terminate_request,omitempty" required:"false" `
}

func (s *AlibabaWdkCouponTemplateTerminateRequest) SetParamCouponTemplateTerminateRequest(v domain.AlibabaWdkCouponTemplateTerminateCouponTemplateTerminateRequest) *AlibabaWdkCouponTemplateTerminateRequest {
	s.ParamCouponTemplateTerminateRequest = &v
	return s
}

func (req *AlibabaWdkCouponTemplateTerminateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.ParamCouponTemplateTerminateRequest != nil {
		paramMap["param_coupon_template_terminate_request"] = util.ConvertStruct(*req.ParamCouponTemplateTerminateRequest)
	}
	return paramMap
}

func (req *AlibabaWdkCouponTemplateTerminateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
